[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#382870: texlive-latex-recommended: beamer.cls depends on pgfcore.sty which is not available



On Mon, Aug 14, 2006 at 00:56 +0400, Stanislav Maslovski wrote:
> Package: texlive-latex-recommended
> Version: 2005.dfsg.1-1
> Severity: normal

Thanks for your report.
 
> Compiling a presentation that uses beamer class I got this error
> -----------------------------------------------------------------------------
> /usr/share/texmf-texlive/tex/latex/beamer/beamer.cls: File gfcore.sty' not
> found.
> /usr/share/texmf-texlive/tex/latex/beamer/beamer.cls:305: Emergency stop.
> -----------------------------------------------------------------------------
> Installing texlive-pictures solves this. Should texlive-latex-recommended
> depend on it then?

That's one possibility. A recommends or suggests would probably be
enough, though. After all its only one small component of texlive-latex-
recommended that cannot be used without texlive-pictures. Another option
would be to remove beamer and pgf from the texlive-* packages and
depend/recomend/suggest the separate pgf and latex-beamer packages.

cheerio
ralf
 



Reply to: